Subject: Re: [PATCH v2 2/2] powerpc32: optimise csum_partial() loop

From: leroy christophe <[email-masked]>
Date: Mon, 17 Aug 2015 12:56:48 +0200

Le 07/08/2015 01:25, Segher Boessenkool a écrit :
> On Thu, Aug 06, 2015 at 05:45:45PM -0500, Scott Wood wrote:
>> If this makes performance non-negligibly worse on other 32-bit chips, and is
>> an important improvement on 8xx, then we can use an ifdef since 8xx already
>> requires its own kernel build.  I'd prefer to see a benchmark showing that it
>> actually does make things worse on those chips, though.
> And I'd like to see a benchmark that shows it *does not* hurt performance
> on most chips, and does improve things on 8xx, and by how much.  But it
> isn't *me* who has to show that, it is not my patch.
Ok, following this discussion I made some additional measurement and it 
looks like:
* There is almost no change on the 885
* There is a non negligeable degradation on the 8323 (19.5 tb ticks 
instead of 15.3)

Thanks for pointing this out, I think my patch is therefore not good.

Christophe